/*
 * Copyright 2008 nori090
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.coderepos.nori090.lib2chj;

import java.util.List;

/**
 * @author nori090
 * @version $Rev: 85 $ $Date: 2008-06-02 22:18:54 +0900 (Mon, 02 Jun 2008) $
 */
public interface Thread {

    Subject getSubject();

    Ita getIta();

    Thread setSubject( Subject subject );

    HTTP_DATA getHttpData();

    Thread setHttpData( HTTP_DATA data );

    List<Comment> getComments();

    Thread setComments( List<Comment> list );

    Thread addComment( Comment comment );

    String getTitle();

    Thread setTitle( String title );

    String getUrl();

    Thread setUrl( String url );

    String getId();

    Thread setId( String id );
    
    Thread setIta(Ita ita);
    
    Thread getThreadFromWeb();
    
    Thread update();
}
